libzypp: zypp::RepoManagerFlags Namespace Reference

libzypp 17.36.6

Typedefs | Enumerations | Functions
zypp::RepoManagerFlags Namespace Reference

## Typedefs
using | RefreshServiceOptions = RefreshServiceFlags
| Options tuning RefreshService.

## Enumerations
enum | RawMetadataRefreshPolicy { RefreshIfNeeded , RefreshForced , RefreshIfNeededIgnoreDelay }
enum | CacheBuildPolicy { BuildIfNeeded , BuildForced }
enum | RefreshServiceBit { RefreshService_restoreStatus = (1<<0) , RefreshService_forceRefresh = (1<<1) }
| Flags for tuning RefreshService. More...
enum | RefreshCheckStatus { REFRESH_NEEDED , REPO_UP_TO_DATE , REPO_CHECK_DELAYED }
| Possibly return state of RepoManager::checkIfToRefreshMetadata function. More...

## Functions
| ZYPP_DECLARE_FLAGS (RefreshServiceFlags, RefreshServiceBit)

## Typedef Documentation

## ◆ RefreshServiceOptions

using zypp::RepoManagerFlags::RefreshServiceOptions = RefreshServiceFlags

Options tuning RefreshService.

Definition at line 42 of file RepoManagerFlags.h.

## Enumeration Type Documentation

## ◆ RawMetadataRefreshPolicy

enum zypp::RepoManagerFlags::RawMetadataRefreshPolicy

Enumerator
RefreshIfNeeded |
RefreshForced |
RefreshIfNeededIgnoreDelay |

Definition at line 20 of file RepoManagerFlags.h.

## ◆ CacheBuildPolicy

enum zypp::RepoManagerFlags::CacheBuildPolicy

Enumerator
BuildIfNeeded |
BuildForced |

Definition at line 27 of file RepoManagerFlags.h.

## ◆ RefreshServiceBit

enum zypp::RepoManagerFlags::RefreshServiceBit

Flags for tuning RefreshService.

Enumerator
RefreshService_restoreStatus | Force restoring repo enabled/disabled status.
RefreshService_forceRefresh | Force refresh even if TTL is not reached.

Definition at line 34 of file RepoManagerFlags.h.

## ◆ RefreshCheckStatus

enum zypp::RepoManagerFlags::RefreshCheckStatus

Possibly return state of RepoManager::checkIfToRefreshMetadata function.

Enumerator
REFRESH_NEEDED | refresh is needed
REPO_UP_TO_DATE | repository not changed
REPO_CHECK_DELAYED | refresh is delayed due to settings

Definition at line 47 of file RepoManagerFlags.h.

## Function Documentation

## ◆ ZYPP_DECLARE_FLAGS()

zypp::RepoManagerFlags::ZYPP_DECLARE_FLAGS | ( | RefreshServiceFlags | ,
|  | RefreshServiceBit | )